clang-tools 10.0.0

Classes | Functions
clang::tidy::zircon Namespace Reference

## Classes
class | TemporaryObjectsCheck
| Construction of specific temporary objects in the Zircon kernel is discouraged. More...
class | ZirconModule
| This module is for Zircon-specific checks. More...

## Functions
| AST_MATCHER_P (CXXRecordDecl, matchesAnyName, ArrayRef< std::string >, Names)
static ClangTidyModuleRegistry::Add< ZirconModule > | X ("zircon-module", "Adds Zircon kernel checks.")

## Function Documentation

## ◆ AST_MATCHER_P()

clang::tidy::zircon::AST_MATCHER_P | ( | CXXRecordDecl | ,
|  | matchesAnyName | ,
|  | ArrayRef< std::string > | ,
|  | Names |
| ) |  |

Definition at line 23 of file TemporaryObjectsCheck.cpp.

## ◆ X()

static ClangTidyModuleRegistry::Add<ZirconModule> clang::tidy::zircon::X | ( | "zircon-module" | ,
|  | "Adds Zircon kernel checks." |
| ) |  |
| static

Referenced by clang::tidy::zircon::ZirconModule::addCheckFactories().